Index: doc/src/sgml/ref/update.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/ref/update.sgml,v
retrieving revision 1.33
diff -c -r1.33 update.sgml
*** doc/src/sgml/ref/update.sgml	12 Oct 2005 23:19:22 -0000	1.33
--- doc/src/sgml/ref/update.sgml	12 Jan 2006 22:04:40 -0000
***************
*** 213,218 ****
--- 213,230 ----
    (SELECT sales_person FROM accounts WHERE name = 'Acme Corporation');
  </programlisting>
  
+    Now that all the papers are signed, update the most recently closed
+ deal of the travelling salesperson who closed the Rocket Powered
+ Skates deal with the Acme Corporation.
+ <programlisting>
+ UPDATE employees SET last_closed_deal = deal.id
+     FROM accounts JOIN deals ON (account.id = deal.account_id)
+     WHERE deal.employee_id = employees.id
+     AND deal.name = 'Rocket Powered Skates'
+     AND accounts.name = 'Acme Corporation'
+     ORDER BY deal.signed_date DESC LIMIT 1;
+ </programlisting>
+ 
     Attempt to insert a new stock item along with the quantity of stock. If
     the item already exists, instead update the stock count of the existing
     item. To do this without failing the entire transaction, use savepoints.
